Index: /utils/tools/NESTING/src/io_netcdf.f90
===================================================================
--- /utils/tools/NESTING/src/io_netcdf.f90	(revision 10024)
+++ /utils/tools/NESTING/src/io_netcdf.f90	(revision 10025)
@@ -25,39 +25,21 @@
   USE agrif_types
   !      
-  INTERFACE Read_Ncdf_var
-     MODULE PROCEDURE Read_Ncdf_var1d_Real,   &
-          Read_Ncdf_var2d_Real,   &
-          Read_Ncdf_var2d_Real_bis,   &
-          Read_Ncdf_var3d_Real,   &
-          Read_Ncdf_var4d_Real,   &
-          Read_Ncdf_var3d_Real_t, &
-          Read_Ncdf_var4d_Real_t, &
-          Read_Ncdf_var4d_Real_nt, &
-          Read_Ncdf_var1d_Int,    &
-          Read_Ncdf_var2d_Int,    &
-          Read_Ncdf_var3d_Int,    &
-          Read_Ncdf_var4d_Int,    &
-          Read_Ncdf_var0d_Int,    &
-          Read_Ncdf_var0d_Real
+  INTERFACE read_ncdf_var
+     MODULE PROCEDURE  &
+        read_ncdf_var0d_real, read_ncdf_var1d_real, read_ncdf_var2d_real  , read_ncdf_var2d_real_bis,                        &
+        read_ncdf_var3d_real, read_ncdf_var4d_real, read_ncdf_var3d_real_t, read_ncdf_var4d_real_t, read_ncdf_var4d_real_nt, &
+        read_ncdf_var0d_int,  read_ncdf_var1d_int , read_ncdf_var2d_int   , read_ncdf_var3d_int   , read_ncdf_var4d_int
   END INTERFACE
   !
-  INTERFACE Write_Ncdf_var
-     MODULE PROCEDURE Write_Ncdf_var1d_Real,   &
-          Write_Ncdf_var2d_Real,   &
-          Write_Ncdf_var3d_Real,   &
-          Write_Ncdf_var4d_Real,   &
-          Write_Ncdf_var3d_Real_t, &
-          Write_Ncdf_var4d_Real_t, &
-          Write_Ncdf_var4d_Real_nt, &                           
-          Write_Ncdf_var2d_Real_bis,&			   
-          Write_Ncdf_var1d_Int,    &
-          Write_Ncdf_var2d_Int,    &
-          Write_Ncdf_var3d_Int,    &
-          Write_Ncdf_var4d_Int,    &
-          Write_Ncdf_var0d_Real
+  INTERFACE write_ncdf_var
+     MODULE PROCEDURE &
+        write_ncdf_var0d_real, write_ncdf_var1d_real  , write_ncdf_var2d_real  , write_ncdf_var3d_real,    &
+        write_ncdf_var4d_real, write_ncdf_var3d_real_t, write_ncdf_var4d_real_t, write_ncdf_var4d_real_nt, &                           
+        write_ncdf_var2d_real_bis ,                                                                        &			   
+        write_ncdf_var0d_int, write_ncdf_var1d_int, write_ncdf_var2d_int, write_ncdf_var3d_int, write_ncdf_var4d_int
   END INTERFACE
   ! 
-  INTERFACE Copy_Ncdf_att
-     MODULE PROCEDURE Copy_Ncdf_att_latlon,Copy_Ncdf_att_var
+  INTERFACE copy_ncdf_att
+     MODULE PROCEDURE copy_ncdf_att_latlon,copy_ncdf_att_var
   END INTERFACE
   !
@@ -65,5 +47,5 @@
   !
   !****************************************************************
-  !   subroutine Read_Ncdf_dim					*
+  !   subroutine read_ncdf_dim					*
   !								*
   ! subroutine to retrieve value of a given dimension 		*
@@ -75,5 +57,5 @@
   !****************************************************************
   !
-  SUBROUTINE Read_Ncdf_dim(dimname,file,dimval)   
+  SUBROUTINE read_ncdf_dim(dimname,file,dimval)   
     !      
     IMPLICIT NONE
@@ -97,12 +79,12 @@
     status = nf90_close(ncid)
     !      
-  END SUBROUTINE Read_Ncdf_dim
+  END SUBROUTINE read_ncdf_dim
   !
   !**************************************************************
-  ! end subroutine Read_Ncdf_dim
+  ! end subroutine read_ncdf_dim
   !**************************************************************      
   !
   !****************************************************************
-  !   subroutine Write_Ncdf_dim					*
+  !   subroutine write_ncdf_dim					*
   !								*
   ! subroutine to write a dimension in a given file 		*
@@ -114,5 +96,5 @@
   !****************************************************************
   !
-  SUBROUTINE Write_Ncdf_dim(dimname,file,dimval)   
+  SUBROUTINE write_ncdf_dim(dimname,file,dimval)   
     !      
     IMPLICIT NONE
@@ -143,12 +125,12 @@
     status = nf90_close(ncid)
     !      
-  END SUBROUTINE Write_Ncdf_dim
+  END SUBROUTINE write_ncdf_dim
   !
   !**************************************************************
-  ! end subroutine Write_Ncdf_dim
+  ! end subroutine write_ncdf_dim
   !**************************************************************            
   ! 
   !****************************************************************
-  !   subroutine Read_Ncdf_var					*
+  !   subroutine read_ncdf_var					*
   !								*
   ! subroutine to retrieve values of a given variable 		*
@@ -159,10 +141,6 @@
   !								*
   !****************************************************************
-  !          
-  !**************************************************************
-  !   subroutine Read_Ncdf_var1d_real
-  !**************************************************************          
-  !      
-  SUBROUTINE Read_Ncdf_var1d_Real(varname,file,tabvar)
+  !      
+  SUBROUTINE read_ncdf_var1d_real(varname,file,tabvar)
     !      
     IMPLICIT NONE
@@ -202,16 +180,8 @@
     status = nf90_close(ncid)
     ! 
-  END SUBROUTINE Read_Ncdf_var1d_Real
+  END SUBROUTINE read_ncdf_var1d_real
   !           
-  !**************************************************************
-  ! end subroutine Read_Ncdf_var1d_real
-  !**************************************************************          
-  !            
-  !           
-  !**************************************************************
-  !   subroutine Read_Ncdf_var2d_real
-  !**************************************************************          
-  !      
-  SUBROUTINE Read_Ncdf_var2d_Real(varname,file,tabvar)
+  !      
+  SUBROUTINE read_ncdf_var2d_real(varname,file,tabvar)
     !      
     IMPLICIT NONE
@@ -250,17 +220,8 @@
     status = nf90_close(ncid)
     !     
-  END SUBROUTINE Read_Ncdf_var2d_Real
+  END SUBROUTINE read_ncdf_var2d_real
   !           
-  !**************************************************************
-  ! end subroutine Read_Ncdf_var2d_real
-  !**************************************************************          
-  !    
-
-  !           
-  !**************************************************************
-  !   subroutine Read_Ncdf_var2d_real_bis
-  !**************************************************************          
-  !      
-  SUBROUTINE Read_Ncdf_var2d_Real_bis(varname,file,tabvar,strt,cnt)
+  !      
+  SUBROUTINE read_ncdf_var2d_real_bis(varname,file,tabvar,strt,cnt)
     !      
     IMPLICIT NONE
@@ -301,18 +262,8 @@
     status = nf90_close(ncid)
     !     
-  END SUBROUTINE Read_Ncdf_var2d_Real_bis
+  END SUBROUTINE read_ncdf_var2d_real_bis
   !           
-  !**************************************************************
-  ! end subroutine Read_Ncdf_var2d_real_bis
-  !**************************************************************          
-  !  
-
-
-  !           
-  !**************************************************************
-  !   subroutine Read_Ncdf_var3d_real
-  !**************************************************************          
-  !      
-  SUBROUTINE Read_Ncdf_var3d_Real(varname,file,tabvar)
+  !      
+  SUBROUTINE read_ncdf_var3d_real(varname,file,tabvar)
     !      
     IMPLICIT NONE
@@ -358,16 +309,8 @@
     status = nf90_close(ncid)
     !     
-  END SUBROUTINE Read_Ncdf_var3d_Real
+  END SUBROUTINE read_ncdf_var3d_real
   !           
-  !**************************************************************
-  ! end subroutine Read_Ncdf_var3d_real
-  !**************************************************************          
-  ! 
-  !           
-  !**************************************************************
-  !   subroutine Read_Ncdf_var4d_real
-  !**************************************************************          
-  !      
-  SUBROUTINE Read_Ncdf_var4d_Real(varname,file,tabvar)
+  !      
+  SUBROUTINE read_ncdf_var4d_real(varname,file,tabvar)
     !      
     IMPLICIT NONE
@@ -410,7 +353,7 @@
     status = nf90_close(ncid)
     !     
-  END SUBROUTINE Read_Ncdf_var4d_Real
-
-  SUBROUTINE Read_Ncdf_var0d_Real(varname,file,tabvar)
+  END SUBROUTINE read_ncdf_var4d_real
+
+  SUBROUTINE read_ncdf_var0d_real(varname,file,tabvar)
     !      
     IMPLICIT NONE
@@ -438,7 +381,7 @@
     status = nf90_close(ncid)
     !     
-  END SUBROUTINE Read_Ncdf_var0d_Real
-
-  SUBROUTINE Read_Ncdf_var0d_Int(varname,file,tabvar)
+  END SUBROUTINE read_ncdf_var0d_real
+
+  SUBROUTINE read_ncdf_var0d_int(varname,file,tabvar)
     !      
     IMPLICIT NONE
@@ -466,16 +409,8 @@
     status = nf90_close(ncid)
     !     
-  END SUBROUTINE Read_Ncdf_var0d_Int
+  END SUBROUTINE read_ncdf_var0d_int
   !           
-  !**************************************************************
-  ! end subroutine Read_Ncdf_var4d_real
-  !**************************************************************          
-  !             
-  !           
-  !**************************************************************
-  !   subroutine Read_Ncdf_var1d_int
-  !**************************************************************          
-  !      
-  SUBROUTINE Read_Ncdf_var1d_Int(varname,file,tabvar)
+  !      
+  SUBROUTINE read_ncdf_var1d_int(varname,file,tabvar)
     !      
     IMPLICIT NONE
@@ -515,16 +450,8 @@
     status = nf90_close(ncid)
     !      
-  END SUBROUTINE Read_Ncdf_var1d_Int
+  END SUBROUTINE read_ncdf_var1d_int
   !           
-  !**************************************************************
-  ! end subroutine Read_Ncdf_var1d_int
-  !**************************************************************          
-  !            
-  !           
-  !**************************************************************
-  !   subroutine Read_Ncdf_var2d_int
-  !**************************************************************          
-  !      
-  SUBROUTINE Read_Ncdf_var2d_Int(varname,file,tabvar)
+  !      
+  SUBROUTINE read_ncdf_var2d_int(varname,file,tabvar)
     !      
     IMPLICIT NONE
@@ -563,17 +490,8 @@
     status = nf90_close(ncid)
     !      
-  END SUBROUTINE Read_Ncdf_var2d_Int
+  END SUBROUTINE read_ncdf_var2d_int
   !           
-  !**************************************************************
-  ! end subroutine Read_Ncdf_var2d_Int
-  !**************************************************************          
-  !    
-
-  !           
-  !**************************************************************
-  !   subroutine Read_Ncdf_var3d_Int
-  !**************************************************************          
-  !      
-  SUBROUTINE Read_Ncdf_var3d_Int(varname,file,tabvar)
+  !      
+  SUBROUTINE read_ncdf_var3d_int(varname,file,tabvar)
     !      
     IMPLICIT NONE
@@ -615,17 +533,8 @@
     status = nf90_close(ncid)
     !      
-  END SUBROUTINE Read_Ncdf_var3d_Int
+  END SUBROUTINE read_ncdf_var3d_int
   !           
-  !**************************************************************
-  ! end subroutine Read_Ncdf_var3d_int
-  !**************************************************************  
-  !
-  !
-  !
-  !**************************************************************
-  !   subroutine Read_Ncdf_var4d_int
-  !**************************************************************          
-  !      
-  SUBROUTINE Read_Ncdf_var4d_Int(varname,file,tabvar)
+  !      
+  SUBROUTINE read_ncdf_var4d_int(varname,file,tabvar)
     !      
     IMPLICIT NONE
@@ -668,13 +577,9 @@
     status = nf90_close(ncid)
     !     
-  END SUBROUTINE Read_Ncdf_var4d_Int
+  END SUBROUTINE read_ncdf_var4d_int
   !           
-  !**************************************************************
-  ! end subroutine Read_Ncdf_var4d_real
-  !**************************************************************         
-  !    
-  !
-  !****************************************************************
-  !   subroutine Write_Ncdf_var					*
+  !
+  !****************************************************************
+  !   subroutine write_ncdf_var					*
   !								*
   ! subroutine to write a variable in a given file 		*
@@ -688,14 +593,10 @@
   !    
   !      
-  !**************************************************************
-  !   subroutine Write_Ncdf_var1d_real
-  !**************************************************************    
-  !      
-  SUBROUTINE Write_Ncdf_var1d_Real(varname,dimname,file,tabvar,typevar)
+  SUBROUTINE write_ncdf_var1d_real(varname,dimname,file,tabvar,typevar)
     !      
     IMPLICIT NONE
     !       
     CHARACTER(*),INTENT(in) :: varname,file,dimname,typevar
-    REAL*8, DIMENSION(:), POINTER :: tabvar
+    REAL*8, DIMENSION(:), INTENT(in) :: tabvar
     !
     ! local variables
@@ -711,5 +612,5 @@
     ENDIF
     !     
-    status = nf90_inq_dimid(ncid,dimname, dimid)
+    status = nf90_inq_dimid(ncid,dimname,dimid)
     status = nf90_inq_varid(ncid,varname,varid)
     status = nf90_redef(ncid)
@@ -725,15 +626,8 @@
     status = nf90_close(ncid)
     ! 
-  END SUBROUTINE Write_Ncdf_var1d_Real
-  !      
-  !**************************************************************
-  !   end subroutine Write_Ncdf_var1d_real
-  !**************************************************************
-  !      
-  !**************************************************************
-  !   subroutine Write_Ncdf_var2d_real
-  !**************************************************************    
-  !      
-  SUBROUTINE Write_Ncdf_var2d_Real_bis(varname,dimname,file,tabvar,nbdim,typevar)
+  END SUBROUTINE write_ncdf_var1d_real
+  !      
+  !      
+  SUBROUTINE write_ncdf_var2d_real_bis(varname,dimname,file,tabvar,nbdim,typevar)
     !      
     IMPLICIT NONE
@@ -743,6 +637,6 @@
     CHARACTER(*), DIMENSION(4) :: dimname
     REAL*8, DIMENSION(:,:) :: tabvar
-    REAL*8, DIMENSION(:,:,:),POINTER :: tabtemp3d
-    REAL*8, DIMENSION(:,:,:,:),POINTER :: tabtemp4d
+    REAL*8, ALLOCATABLE, DIMENSION(:,:,:) :: tabtemp3d
+    REAL*8, ALLOCATABLE, DIMENSION(:,:,:,:) :: tabtemp4d
     !
     ! local variables
@@ -796,21 +690,13 @@
     IF(nbdim==3) status = nf90_put_var(ncid,varid,tabtemp3d)
     !      
-    IF(ASSOCIATED( tabtemp3d ) ) DEALLOCATE( tabtemp3d )   
-    IF(ASSOCIATED( tabtemp4d ) ) DEALLOCATE( tabtemp4d )     
-    !
-    status = nf90_close(ncid)
-    ! 
-  END SUBROUTINE Write_Ncdf_var2d_Real_bis
-  !      
-  !**************************************************************
-  !   end subroutine Write_Ncdf_var2d_real
-  !**************************************************************  
-  !   
-  !      
-  !**************************************************************
-  !   subroutine Write_Ncdf_var2d_real
-  !**************************************************************    
-  !      
-  SUBROUTINE Write_Ncdf_var2d_Real(varname,dimname,file,tabvar,typevar)
+    IF(ALLOCATED( tabtemp3d ) ) DEALLOCATE( tabtemp3d )   
+    IF(ALLOCATED( tabtemp4d ) ) DEALLOCATE( tabtemp4d )     
+    !
+    status = nf90_close(ncid)
+    ! 
+  END SUBROUTINE write_ncdf_var2d_real_bis
+  !      
+  !      
+  SUBROUTINE write_ncdf_var2d_real(varname,dimname,file,tabvar,typevar)
     !      
     !      implicit none
@@ -818,5 +704,5 @@
     CHARACTER(*),INTENT(in) :: varname,file,typevar
     CHARACTER(*), DIMENSION(2) :: dimname
-    REAL*8, DIMENSION(:,:), POINTER :: tabvar
+    REAL*8, DIMENSION(:,:), INTENT(in) :: tabvar
     !
     ! local variables
@@ -851,16 +737,8 @@
     status = nf90_close(ncid)
     ! 
-  END SUBROUTINE Write_Ncdf_var2d_Real
-  !      
-  !**************************************************************
-  !   end subroutine Write_Ncdf_var2d_real
-  !**************************************************************  
-  !
-  !      
-  !**************************************************************
-  !   subroutine Write_Ncdf_var3d_real
-  !**************************************************************
-  !      
-  SUBROUTINE Write_Ncdf_var3d_Real(varname,dimname,file,tabvar,typevar)
+  END SUBROUTINE write_ncdf_var2d_real
+  !      
+  !      
+  SUBROUTINE write_ncdf_var3d_real(varname,dimname,file,tabvar,typevar)
     !      
     IMPLICIT NONE
@@ -868,5 +746,5 @@
     CHARACTER(*),INTENT(in) :: varname,file,typevar
     CHARACTER(*),DIMENSION(3),INTENT(in) :: dimname
-    REAL*8, DIMENSION(:,:,:), POINTER :: tabvar
+    REAL*8, DIMENSION(:,:,:), INTENT(in) :: tabvar
     !
     ! local variables
@@ -902,16 +780,8 @@
     status = nf90_close(ncid)
     ! 
-  END SUBROUTINE Write_Ncdf_var3d_Real
-  !      
-  !**************************************************************
-  !   end subroutine Write_Ncdf_var3d_real
-  !**************************************************************
-  ! 
-  !
-  !**************************************************************
-  !   subroutine Write_Ncdf_var4d_real
-  !**************************************************************
-  !      
-  SUBROUTINE Write_Ncdf_var4d_Real(varname,dimname,file,tabvar,typevar)
+  END SUBROUTINE write_ncdf_var3d_real
+  !      
+  !      
+  SUBROUTINE write_ncdf_var4d_real(varname,dimname,file,tabvar,typevar)
     !      
     IMPLICIT NONE
@@ -919,5 +789,5 @@
     CHARACTER(*),INTENT(in) :: varname,file,typevar
     CHARACTER(*),DIMENSION(4),INTENT(in) :: dimname
-    REAL*8, DIMENSION(:,:,:,:), POINTER :: tabvar
+    REAL*8, DIMENSION(:,:,:,:), INTENT(in) :: tabvar
     !
     ! local variables
@@ -959,22 +829,13 @@
     status = nf90_close(ncid)
     ! 
-  END SUBROUTINE Write_Ncdf_var4d_Real
-  !      
-  !**************************************************************
-  !   end subroutine Write_Ncdf_var4d_real
-  !**************************************************************
-  !
-  !
-  !  
-  !**************************************************************
-  !   subroutine Write_Ncdf_var1d_Int
-  !**************************************************************    
-  !      
-  SUBROUTINE Write_Ncdf_var1d_Int(varname,dimname,file,tabvar)
-    !      
-    IMPLICIT NONE
-    !       
-    CHARACTER(*),INTENT(in) :: varname,file,dimname
-    INTEGER, DIMENSION(:), POINTER :: tabvar
+  END SUBROUTINE write_ncdf_var4d_real
+  !      
+  !      
+  SUBROUTINE write_ncdf_var1d_int(varname,dimname,file,tabvar,typevar)
+    !      
+    IMPLICIT NONE
+    !       
+    CHARACTER(*),INTENT(in) :: varname,file,dimname,typevar
+    INTEGER, DIMENSION(:), INTENT(in) :: tabvar
     !
     ! local variables
@@ -1000,22 +861,14 @@
     status = nf90_close(ncid)
     ! 
-  END SUBROUTINE Write_Ncdf_var1d_Int
-  !      
-  !**************************************************************
-  !   end subroutine Write_Ncdf_var1d_Int
-  !**************************************************************
-  !  
-  !      
-  !**************************************************************
-  !   subroutine Write_Ncdf_var2d_Int
-  !**************************************************************    
-  !      
-  SUBROUTINE Write_Ncdf_var2d_Int(varname,dimname,file,tabvar)
-    !      
-    IMPLICIT NONE
-    !       
-    CHARACTER(*),INTENT(in) :: varname,file
-    CHARACTER(*), DIMENSION(2) :: dimname
-    INTEGER, DIMENSION(:,:), POINTER :: tabvar
+  END SUBROUTINE write_ncdf_var1d_int
+  !      
+  !      
+  SUBROUTINE write_ncdf_var2d_int(varname,dimname,file,tabvar,typevar)
+    !      
+    IMPLICIT NONE
+    !       
+    CHARACTER(*), INTENT(in) :: varname,file,typevar
+    CHARACTER(*), DIMENSION(2), INTENT(in) :: dimname
+    INTEGER, DIMENSION(:,:), INTENT(in) :: tabvar
     !
     ! local variables
@@ -1031,10 +884,9 @@
     ENDIF
     !     
-    status = nf90_inq_dimid(ncid,dimname(1), dimid1)
-    status = nf90_inq_dimid(ncid,dimname(2), dimid2)
+    status = nf90_inq_dimid(ncid,dimname(1),dimid1)
+    status = nf90_inq_dimid(ncid,dimname(2),dimid2)
     status = nf90_inq_varid(ncid,varname,varid)
     status = nf90_redef(ncid)
-    status = nf90_def_var(ncid,varname,nf90_int,     &
-         (/dimid1,dimid2/),varid)
+    status = nf90_def_var(ncid,varname,nf90_int,(/dimid1,dimid2/),varid)
     status = nf90_enddef(ncid)
     status = nf90_put_var(ncid,varid,tabvar)     
@@ -1042,22 +894,14 @@
     status = nf90_close(ncid)
     ! 
-  END SUBROUTINE Write_Ncdf_var2d_Int
-  !      
-  !**************************************************************
-  !   end subroutine Write_Ncdf_var2d_Int
-  !**************************************************************  
-  ! 
-  !      
-  !**************************************************************
-  !   subroutine Write_Ncdf_var3d_Int
-  !**************************************************************
-  !      
-  SUBROUTINE Write_Ncdf_var3d_Int(varname,dimname,file,tabvar)
-    !      
-    IMPLICIT NONE
-    !       
-    CHARACTER(*),INTENT(in) :: varname,file
+  END SUBROUTINE write_ncdf_var2d_int
+  !      
+  !      
+  SUBROUTINE write_ncdf_var3d_int(varname,dimname,file,tabvar,typevar)
+    !      
+    IMPLICIT NONE
+    !       
+    CHARACTER(*),INTENT(in) :: varname,file,typevar
     CHARACTER(*),DIMENSION(3),INTENT(in) :: dimname
-    INTEGER, DIMENSION(:,:,:), POINTER :: tabvar
+    INTEGER, DIMENSION(:,:,:), INTENT(in) :: tabvar
     !
     ! local variables
@@ -1085,22 +929,14 @@
     status = nf90_close(ncid)
     ! 
-  END SUBROUTINE Write_Ncdf_var3d_Int
-  !      
-  !**************************************************************
-  !   end subroutine Write_Ncdf_var3d_Int
-  !**************************************************************
-  ! 
-  !
-  !**************************************************************
-  !   subroutine Write_Ncdf_var4d_Int
-  !**************************************************************
-  !      
-  SUBROUTINE Write_Ncdf_var4d_Int(varname,dimname,file,tabvar)
-    !      
-    IMPLICIT NONE
-    !       
-    CHARACTER(*),INTENT(in) :: varname,file
+  END SUBROUTINE write_ncdf_var3d_int
+  !      
+  !      
+  SUBROUTINE write_ncdf_var4d_int(varname,dimname,file,tabvar,typevar)
+    !      
+    IMPLICIT NONE
+    !       
+    CHARACTER(*),INTENT(in) :: varname,file,typevar
     CHARACTER(*),DIMENSION(4),INTENT(in) :: dimname
-    INTEGER, DIMENSION(:,:,:,:), POINTER :: tabvar
+    INTEGER, DIMENSION(:,:,:,:), INTENT(in) :: tabvar
     !
     ! local variables
@@ -1129,13 +965,9 @@
     status = nf90_close(ncid)
     ! 
-  END SUBROUTINE Write_Ncdf_var4d_Int
-  !      
-  !**************************************************************
-  !   end subroutine Write_Ncdf_var4d_Int
-  !************************************************************** 
-  !
-  !
-  !****************************************************************
-  !   subroutine Read_Ncdf_var_t					*
+  END SUBROUTINE write_ncdf_var4d_int
+  !      
+  !
+  !****************************************************************
+  !   subroutine read_ncdf_var_t					*
   !								*
   ! subroutine to read a variable in a given file for time t	*
@@ -1148,10 +980,6 @@
   !****************************************************************
   !
-  !
-  !**************************************************************
-  !   subroutine Read_Ncdf_var3d_real_t
-  !**************************************************************          
-  !      
-  SUBROUTINE Read_Ncdf_var3d_Real_t(varname,file,tabvar,time)
+  !      
+  SUBROUTINE read_ncdf_var3d_real_t(varname,file,tabvar,time)
     !      
     USE agrif_types     
@@ -1201,14 +1029,9 @@
     status = nf90_close(ncid)
     !     
-  END SUBROUTINE Read_Ncdf_var3d_Real_t
+  END SUBROUTINE read_ncdf_var3d_real_t
   !           
-  !**************************************************************
-  ! end subroutine Read_Ncdf_var3d_real_t
-  !**************************************************************          
-  !
-  !
-  !
-  !****************************************************************
-  !   subroutine Write_Ncdf_var_t					*
+  !
+  !****************************************************************
+  !   subroutine write_ncdf_var_t					*
   !								*
   ! subroutine to write a variable in a given file for time t	*
@@ -1223,9 +1046,5 @@
   !
   !      
-  !**************************************************************
-  !   subroutine Write_Ncdf_var3d_real_t
-  !**************************************************************
-  !      
-  SUBROUTINE Write_Ncdf_var3d_Real_t(varname,dimname,file,tabvar,time,typevar)
+  SUBROUTINE write_ncdf_var3d_real_t(varname,dimname,file,tabvar,time,typevar)
     !      
     IMPLICIT NONE
@@ -1234,5 +1053,5 @@
     CHARACTER(*),DIMENSION(3),INTENT(in) :: dimname
     INTEGER :: time
-    REAL*8, DIMENSION(:,:,:), POINTER :: tabvar
+    REAL*8, DIMENSION(:,:,:), INTENT(in) :: tabvar
     !
     ! local variables
@@ -1280,13 +1099,9 @@
     status = nf90_close(ncid)
     ! 
-  END SUBROUTINE Write_Ncdf_var3d_Real_t
-  !      
-  !**************************************************************
-  !   end subroutine Write_Ncdf_var3d_real_t
-  !**************************************************************
-  !
-  !
-  !****************************************************************
-  !   subroutine Read_Ncdf_var_t					*
+  END SUBROUTINE write_ncdf_var3d_real_t
+  !      
+  !
+  !****************************************************************
+  !   subroutine read_ncdf_var_t					*
   !								*
   ! subroutine to read a variable in a given file for time t	*
@@ -1300,10 +1115,6 @@
   !****************************************************************
   !
-  !
-  !**************************************************************
-  !   subroutine Read_Ncdf_var4d_real_nt
-  !**************************************************************          
-  !      
-  SUBROUTINE Read_Ncdf_var4d_Real_nt(varname,file,tabvar,time,level)
+  !      
+  SUBROUTINE read_ncdf_var4d_real_nt(varname,file,tabvar,time,level)
     !      
     USE agrif_types     
@@ -1353,16 +1164,8 @@
     status = nf90_close(ncid)
     !     
-  END SUBROUTINE Read_Ncdf_var4d_Real_nt
+  END SUBROUTINE read_ncdf_var4d_real_nt
   !           
-  !**************************************************************
-  ! end subroutine Read_Ncdf_var4d_real_nt
-  !**************************************************************          
-  !
-  !
-  !**************************************************************
-  !   subroutine Read_Ncdf_var4d_real_t
-  !**************************************************************          
-  !      
-  SUBROUTINE Read_Ncdf_var4d_Real_t(varname,file,tabvar,time)
+  !      
+  SUBROUTINE read_ncdf_var4d_real_t(varname,file,tabvar,time)
     !      
     USE agrif_types     
@@ -1405,13 +1208,8 @@
     status = nf90_close(ncid)
     !     
-  END SUBROUTINE Read_Ncdf_var4d_Real_t
+  END SUBROUTINE read_ncdf_var4d_real_t
   !           
-  !**************************************************************
-  ! end subroutine Read_Ncdf_var4d_real_t
-  !**************************************************************          
-  !
-  !
-  !****************************************************************
-  !   subroutine Write_Ncdf_var_t					*
+  !****************************************************************
+  !   subroutine write_ncdf_var_t					*
   !								*
   ! subroutine to write a variable in a given file for time t	*
@@ -1427,9 +1225,5 @@
   !
   !      
-  !**************************************************************
-  !   subroutine Write_Ncdf_var4d_real_t
-  !**************************************************************
-  !      
-  SUBROUTINE Write_Ncdf_var4d_Real_t(varname,dimname,file,tabvar,time,typevar)
+  SUBROUTINE write_ncdf_var4d_real_t(varname,dimname,file,tabvar,time,typevar)
     !      
     IMPLICIT NONE
@@ -1438,5 +1232,5 @@
     CHARACTER(*),DIMENSION(4),INTENT(in) :: dimname
     INTEGER :: time,level
-    REAL*8, DIMENSION(:,:,:,:), POINTER :: tabvar
+    REAL*8, DIMENSION(:,:,:,:), INTENT(in) :: tabvar
     !
     ! local variables
@@ -1484,16 +1278,8 @@
     status = nf90_close(ncid)
     ! 
-  END SUBROUTINE Write_Ncdf_var4d_Real_t
-  !      
-  !**************************************************************
-  !   end subroutine Write_Ncdf_var4d_real_t
-  !**************************************************************
-  !
-  !      
-  !**************************************************************
-  !   subroutine Write_Ncdf_var4d_real_nt
-  !**************************************************************
-  !      
-  SUBROUTINE Write_Ncdf_var4d_Real_nt(varname,dimname,file,tabvar,time,level,typevar)
+  END SUBROUTINE write_ncdf_var4d_real_t
+  !      
+  !      
+  SUBROUTINE write_ncdf_var4d_real_nt(varname,dimname,file,tabvar,time,level,typevar)
     !      
     IMPLICIT NONE
@@ -1502,5 +1288,5 @@
     CHARACTER(*),DIMENSION(4),INTENT(in) :: dimname
     INTEGER :: time,level
-    REAL*8, DIMENSION(:,:,:,:), POINTER :: tabvar
+    REAL*8, DIMENSION(:,:,:,:), INTENT(in) :: tabvar
     !
     ! local variables
@@ -1548,7 +1334,7 @@
     status = nf90_close(ncid)
     ! 
-  END SUBROUTINE Write_Ncdf_var4d_Real_nt
-
-  SUBROUTINE Write_Ncdf_var0d_Real(varname,file,tabvar,typevar)
+  END SUBROUTINE write_ncdf_var4d_real_nt
+
+  SUBROUTINE write_ncdf_var0d_real(varname,file,tabvar,typevar)
     !      
     IMPLICIT NONE
@@ -1593,12 +1379,41 @@
     status = nf90_close(ncid)
     ! 
-  END SUBROUTINE Write_Ncdf_var0d_Real
-  !      
-  !**************************************************************
-  !   end subroutine Write_Ncdf_var4d_real_nt
-  !**************************************************************
-  !
-  !****************************************************************
-  !   subroutine Read_Ncdf_VarName				*
+  END SUBROUTINE write_ncdf_var0d_real
+
+  SUBROUTINE write_ncdf_var0d_int(varname,file,tabvar,typevar)
+    !      
+    IMPLICIT NONE
+    !       
+    CHARACTER(*),INTENT(in) :: varname,file,typevar
+    INTEGER :: tabvar
+    !
+    ! local variables
+    !
+    INTEGER :: status,ncid
+    INTEGER :: varid
+    !
+    status = nf90_open(file,NF90_WRITE,ncid)
+    IF (status/=nf90_noerr) THEN
+       WRITE(*,*)"unable to open netcdf file : ",file
+       STOP
+    ENDIF
+    !     
+    status = nf90_redef(ncid)
+    status = nf90_def_var(ncid,TRIM(varname),nf90_int,varid)
+    status = nf90_enddef(ncid)
+    status = nf90_put_var(ncid,varid,tabvar)
+    !     
+    IF (status/=nf90_noerr) THEN    
+       WRITE(*,*)"unable to store variable ",varname, &
+	    " in file ",file
+       STOP
+    ENDIF
+    status = nf90_close(ncid)
+    ! 
+  END SUBROUTINE write_ncdf_var0d_int
+
+  !
+  !****************************************************************
+  !   subroutine read_ncdf_VarName				*
   !								*
   ! subroutine to retrieve of all variables 			*
@@ -1610,9 +1425,6 @@
   !****************************************************************
   !
-  !**************************************************************
-  !   subroutine Read_Ncdf_VarName
-  !**************************************************************          
-  !
-  SUBROUTINE Read_Ncdf_VarName(filename,tabvarname)
+  !
+  SUBROUTINE read_ncdf_VarName(filename,tabvarname)
     !      
     CHARACTER(*),INTENT(in) :: filename
@@ -1637,15 +1449,8 @@
     END DO
 
-  END SUBROUTINE Read_Ncdf_Varname
-  !
-  !**************************************************************
-  !   end subroutine Read_Ncdf_VarName
-  !**************************************************************          
-  !
-  !**************************************************************
-  !   subroutine Copy_Ncdf_att
-  !**************************************************************          
-  !
-  SUBROUTINE Copy_Ncdf_att_var(varname,filein,fileout)
+  END SUBROUTINE read_ncdf_Varname
+  !
+  !
+  SUBROUTINE copy_ncdf_att_var(varname,filein,fileout)
     !      
     CHARACTER(*),INTENT(in) :: filein,fileout
